# Check heartbeat

Gets the health status of the xCurrent server's peers. This request requires authorization. The timeout for this operation is 5 seconds.

Endpoint: GET /heartbeat
Version: 4.0.0
Security: Bearer

## Response 200 fields (application/json):

  - `time_checked` (string, required)
    Time at which the heartbeat was checked, as an ISO-8601 timestamp in UTC.
    Example: "2019-10-01"

  - `xcurrent_node` (string, required)
    RippleNet address of the RippleNet server for which the heartbeat was checked. (Deprecated in favor of 'ripplenet_node' field, has exactly the same value).
    Example: "rn.us.ny.new_york"

  - `ripplenet_node` (string)
    RippleNet address of the RippleNet server for which the heartbeat was checked.
    Example: "rn.us.ny.new_york"

  - `peer_heartbeat_results` (object, required)
    Provides a list of peer RippleNet addresses and their health statuses.

  - `errors` (array, required)
    If applicable, provides one or more messages describing the error.

## Response 400 fields (application/json):

  - `type` (string)
    URL to the error documentation.
    Example: "https://errors.ripplenet.ripple.com/error/json-processing-error"

  - `title` (string)
    Summary of the returned problem.
    Example: "Invalid Request Object"

  - `detail` (string)
    Description of the returned problem.
    Example: "The request parameter [account_id] is not in the correct format."

  - `status` (number)
    HTTP error code.
    Example: 400

  - `ripplenet_error_code` (string)
    RippleNet specific error code.
    Example: "E0104"

  - `finality` (string)
    Specifies if the request can be retried for a successful response.
    Example: "PERMANENT"


